UnsupportedLookAndFeelException (Java Platform SE 8 )
Keywords: javax.swing.UnsupportedLookAndFeelException class
Date: 2017-01-22

javax.swing

## Class UnsupportedLookAndFeelException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.swing.UnsupportedLookAndFeelException

- All Implemented Interfaces:
    Serializable

      public class UnsupportedLookAndFeelException
      extends Exception

  An exception that indicates the requested look & feel management classes are not present on the user's system.

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsupportedLookAndFeelException(String s)` Constructs an UnsupportedLookAndFeelException object.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedLookAndFeelException

          public UnsupportedLookAndFeelException(String s)

      Constructs an UnsupportedLookAndFeelException object.
      Parameters:
        `s` - a message String

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.